/*
 * Copyright 2016 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.kie.workbench.common.forms.fields.shared.fieldTypes.basic.slider.definition;

import org.kie.workbench.common.forms.fields.shared.AbstractFieldDefinition;
import org.kie.workbench.common.forms.fields.shared.fieldTypes.basic.slider.type.SliderFieldType;

public abstract class SliderBaseDefinition<T extends Number> extends AbstractFieldDefinition {

    public static final SliderFieldType FIELD_TYPE = new SliderFieldType();

    public SliderBaseDefinition(String className) {
        super(className);
    }

    @Override
    public SliderFieldType getFieldType() {
        return FIELD_TYPE;
    }

    public abstract T getMin();

    public abstract void setMin(T min);

    public abstract T getMax();

    public abstract void setMax(T max);

    public abstract T getPrecision();

    public abstract void setPrecision(T precision);

    public abstract T getStep();

    public abstract void setStep(T step);
}
