/*
 * Copyright 2016 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.kie.workbench.common.stunner.core.client.canvas.controls.zoom;

import org.kie.workbench.common.stunner.core.client.canvas.Canvas;
import org.kie.workbench.common.stunner.core.client.canvas.controls.CanvasControl;

public interface ZoomControl<C extends Canvas> extends CanvasControl<C> {

    ZoomControl<C> setMinScale(final double minScale);

    ZoomControl<C> setMaxScale(final double maxScale);

    ZoomControl<C> setZoomFactory(final double factor);

    ZoomControl<C> scale(final double factor);

    ZoomControl<C> scale(final double sx,
                         final double sy);
}
